Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg.logger
Interface ConfigRollingFileAppender

All Superinterfaces:
  ConfigAppender, ConfigFileAppender, java.io.Serializable

    public interface ConfigRollingFileAppender

extends ConfigFileAppender

The `ConfigRollingFileAppender` takes charge of managing rolling file appender specific properties.

Since:
  V8

Field Summary

Fields inherited from interface jet.server.api.admin.cfg.logger.ConfigAppender
`DST_CONSOLE, DST_DAILY_ROLLING_FILE, DST_FILE, DST_LF5, DST_NTLOG, DST_ROLLING_FILE, DST_SOCKET, DST_SYSLOG, DST_TELNET, LAYOUT_HTML, LAYOUT_PATTERN, LAYOUT_SIMPLE, LAYOUT_TTCC, LAYOUT_XML, LAYOUTS, THRESHOLD_ALL, THRESHOLD_DEBUG, THRESHOLD_ERROR, THRESHOLD_FATAL, THRESHOLD_INFO, THRESHOLD_OFF, THRESHOLD_WARN, THRESHOLDS`

Method Summary
`int` | `getMaxBackupIndex()` Gets the rolling file appender max backup index.
`long` | `getMaxFileSize()` Gets the max file rolling size (KB) of the rolling file appender.
`void` | `setMaxBackupIndex(int index)` Sets the rolling file appender's max backup index.
`void` | `setMaxFileSize(long size)` Sets the rolling appender max file size.

Methods inherited from interface jet.server.api.admin.cfg.logger.ConfigFileAppender
`getBufferSize, getFileName, getLayout, getPatternConversion, isAppendable, isBufferedIO, setAppendable, setBufferedIO, setBufferSize, setFileName, setLayout, setPatternConversion`

Methods inherited from interface jet.server.api.admin.cfg.logger.ConfigAppender
`getName, getThreshold, isSelected, setSelected, setThreshold`

Method Detail

### getMaxFileSize

    long getMaxFileSize()

  Gets the max file rolling size (KB) of the rolling file appender.

  Returns:
    the max file rolling size (KB) of the rolling file appender.

### setMaxFileSize

    void setMaxFileSize(long size)

  Sets the rolling appender max file size.

  Parameters:
    `size` - the max file rolling size (KB) of the rolling file appender.

### getMaxBackupIndex

    int getMaxBackupIndex()

  Gets the rolling file appender max backup index.

  Returns:
    the max backup index of the rolling file appender.

### setMaxBackupIndex

    void setMaxBackupIndex(int index)

  Sets the rolling file appender's max backup index.

  Parameters:
    `index` - the max backup index of the rolling file appender.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD